package com.fuint.common.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fuint.repository.model.MtUser;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 积分记录实体类
 *
 * Created by FSQ
 * CopyRight https://www.fuint.cn
 */
public class RaffleDto implements Serializable {


    private Integer id;

    private String title;

    private String brief;

    private String hot;

    private String image;
    private String raffleType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
        this.brief = brief;
    }

    public String getHot() {
        return hot;
    }

    public void setHot(String hot) {
        this.hot = hot;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getRaffleType() {
        return raffleType;
    }

    public void setRaffleType(String raffleType) {
        this.raffleType = raffleType;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getClick() {
        return click;
    }

    public void setClick(Integer click) {
        this.click = click;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    private String description;

    private Integer click;

    private Integer sort;

    private Date createTime;

    private Date updateTime;

    private String status;

    private String operator;

    private Integer nowCnt;

    private Integer allCnt;

    private Integer rafflePoint;

    public Integer getRafflePoint() {
        return rafflePoint;
    }

    public void setRafflePoint(Integer rafflePoint) {
        this.rafflePoint = rafflePoint;
    }

    public Integer getNowCnt() {
        return nowCnt;
    }

    public void setNowCnt(Integer nowCnt) {
        this.nowCnt = nowCnt;
    }

    public Integer getAllCnt() {
        return allCnt;
    }

    public void setAllCnt(Integer allCnt) {
        this.allCnt = allCnt;
    }

    private String extraPrize;

    private String extraImage;

    private String extraType;

    private Integer forwardPoint;

    public String getExtraPrize() {
        return extraPrize;
    }

    public void setExtraPrize(String extraPrize) {
        this.extraPrize = extraPrize;
    }

    public String getExtraImage() {
        return extraImage;
    }

    public void setExtraImage(String extraImage) {
        this.extraImage = extraImage;
    }

    public String getExtraType() {
        return extraType;
    }

    public void setExtraType(String extraType) {
        this.extraType = extraType;
    }

    public Integer getForwardPoint() {
        return forwardPoint;
    }

    public void setForwardPoint(Integer forwardPoint) {
        this.forwardPoint = forwardPoint;
    }
}
